Open topic with navigation

TIBCO ActiveMatrix® Service Grid - Container Edition 1.0.0

# HTTP Client

The HTTP Client resource template represents an outgoing HTTP connection. HTTP clients are used by a reference's SOAP binding.

General
Field | Required? | Editable? | Accepts SVars? | Description
--- | --- | --- | --- | ---
Machine Name | Y | Y | Y | The name of the host that accepts the incoming requests. For machines that have only one network card, the default value localhost specifies the current machine. For machines that have more than one network card, this field specifies the host name of the card that is used to accept incoming HTTP requests. Default: localhost
Port | Y | Y | Y | The port number on which to invoke outgoing HTTP requests. Default: 80
Idle Timeout (s) | N | Y | Y | The time to wait before closing an inactive connection. If it is more than zero and data transmission has not finished, a call to close the connection blocks the calling program until the data is transmitted, or until the specified timeout occurs. If it is 0, a call to close the connection returns without blocking the caller, and an attempt is made to send the data. Normally, this transfer is successful but it cannot be guaranteed. Note: Change this value only on the advice from TIBCO support. Default: 0 s
Socket Timeout (ms) | N | Y | Y | Defines the socket timeout (`SO_TIMEOUT`), which is the timeout for waiting for data or a maximum period of inactivity between consecutive data packets. This must be changed when connecting to very slow external services. Default: 0 ms (that is, infinite timeout)
Connection Timeout (ms) | N | Y | Y | Determines the timeout until a connection is established. This must be changed when connecting to very slow external services. Default: 0 ms (that is, infinite timeout)

SSL
Field | Required? | Editable? | Accepts SVars? | Description
--- | --- | --- | --- | ---
Enable SSL | Y | Y | N | Enables SSL connections. When selected, the SSL properties are displayed. Default: Unchecked
SSL Client Provider | Y | Y | N | The name of an SSL Client Provider resource. Default: None

Advanced Configuration
Field | Required? | Editable? | Accepts SVars? | Description
--- | --- | --- | --- | ---
Accept Redirect | N | N | N | Indicates whether the HTTP method should automatically follow HTTP redirects. This option is used when client connection receives redirect responses from the server like Moved Permanently, Moved Temporarily, Temporary Redirect, and so on. Default: Unchecked
Reuse Address | N | N | N | When a TCP connection is closed, the connection might remain in a timeout state for a period of time after the connection is closed (typically known as the TIME_WAIT state or 2MSL wait state). For applications that use a well-known socket address or port, sometimes you cannot bind a socket to the required SocketAddress if a connection involving the socket address or the port times out. Default: Unchecked
Disable Connection Pooling | N | N | N | Indicates whether to use the single or multi-threaded connection manager. Default: Unchecked
Suppress TCP Delay | N | N | N | Determines whether the Nagle algorithm is used. The Nagle algorithm tries to conserve bandwidth by minimizing the number of segments that are sent. When applications wish to decrease network latency and increase performance, the applications can disable Nagle's algorithm by enabling Suppress TCP Delay. Data is sent earlier at the cost of an increase in bandwidth consumption and the number of packets. Default: Checked
Stale Check | N | N | N | Determines whether the stale connection check is to be used. Disabling the stale connection check can result in slight performance improvement. However, you might see an I/O error when executing a request over a connection that is already closed at the server side. Default: Unchecked
Buffer Size (B) | N | Y | N | Socket buffer size, in bytes. This is the recommended buffer size to be used for data transfer over the socket. Default: -1 (allow the runtime to determine the buffer size)
Connection Retrieval Timeout (ms) | N | Y | Y | The timeout, in milliseconds, until a connection is established. Default: 0
Local Socket Address | N | Y | N | Local host address to be used for creating the socket. Default: None
Maximum Total Connections | N | Y | Y | Controls the maximum number of simultaneous active connection that this resource allows. Increase the value for applications that create a lot of long-lived connections. Default: 20
Maximum Total Connections per Host | N | Y | Y | Controls the maximum number of simultaneous active connections to the same host that this resource allows. Note: This number cannot be greater than the Maximum Total Connections. Default: 2

HTTP Proxy
Field | Required? | Editable? | Accepts SVars? | Description
--- | --- | --- | --- | ---
Configure Proxy | N | N | N | Select the check box to configure the HTTP Proxy options described in this table. Default: Unchecked
Proxy Type | Y | N | N | Type of proxy server: HTTP or SOCKS V4 / V5. Default: HTTP
Proxy Host | Y | Y | Y | Address of the proxy host. Default: localhost
Proxy Port | Y | Y | Y | Port of the proxy host. Default: 8080
Configure BASIC authentication | N | Y | N | Select the check the box to configure access to proxy server with a user name and password. Default: Unchecked When you select this check box, the fields for specifying the user name and password are enabled. Default user name: None Default password: None Both user name and password do not accepts SVARs. If you try to update the existing encrypted password then the existing password will be removed. You can add a new password.

Copyright © 2020-2021. TIBCO Software Inc. All Rights Reserved.